unit Un_main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TMain = class(TForm)
   Label1: TLabel;
   FuncEd: TEdit;
   Button1: TButton;
   Label2: TLabel;
    ParamEd: TEdit;
   Button2: TButton;
   Button3: TButton;
   Label3: TLabel;
   Label4: TLabel;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FuncEdChange(Sender: TObject);
    procedure ParamEdChange(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Main: TMain;

implementation

{$R *.dfm}

uses Un_graph1, Un_numbers, Un_graph2, Un_param, Un_param3D, Un_3D, Un_water, Un_FFT;

procedure TMain.Button1Click(Sender: TObject);
begin
 Graph1.ShowModal;
end;

procedure TMain.Button2Click(Sender: TObject);
begin
 Button4.Enabled:=true;
 Button8.Enabled:=true; 
 Numbers.Show;
end;

procedure TMain.FuncEdChange(Sender: TObject);
begin
 Button1.Enabled:=True;
 ParamEd.Enabled:=True;
end;

procedure TMain.ParamEdChange(Sender: TObject);
begin
 Button2.Enabled:=true;
end;

procedure TMain.Button3Click(Sender: TObject);
begin
 Application.CreateForm(TGraph2, Graph2);
 Un_graph2.Graph2.ShowModal;
end;

procedure TMain.Button4Click(Sender: TObject);
begin
 Param.Show;
end;

procedure TMain.Button5Click(Sender: TObject);
begin
 Application.CreateForm(TGraph3D, Graph3D);
 Un_3D.Graph3D.ShowModal;
end;

procedure TMain.Button6Click(Sender: TObject);
begin
 Application.CreateForm(TWater, Water);
 Un_water.Water.ShowModal;
end;

procedure TMain.Button7Click(Sender: TObject);
begin
 Un_FFT.Start;
end;

procedure TMain.Button8Click(Sender: TObject);
begin
 Param3D.Show;
end;

end.
